
bl_info = {
    "name": "Object Linker",
    "author": "rubberduck",
    "version": (0, 1),
    "blender": (2, 69, 0),
    "location": "--",
    "description": "--",
    "warning": "",
#    "wiki_url": "--"
#                "--",
    "category": "Object"}




if "bpy" in locals():
    import imp
    imp.reload(object_linker)
else:
	from . import object_linker


import os

default_filepath = os.path.dirname(__file__)

from bpy.props import *
import bpy


class ObjectPlacerPanel(bpy.types.Panel):
	bl_label = "ObjectLinker"
	bl_space_type = 'VIEW_3D'
	bl_region_type = 'TOOLS'


	def draw(self, context):
		layout = self.layout
		scn = context.scene
		row = layout.row()
		object_linker.make_list(context.scene.choose_path)

		
		row2 = layout.row()
		
		col = layout.column()

		
		col.label("Selected: %s" % context.scene.game_object)

		col.prop(context.scene, 'choose_path')
		col.label(context.scene.choose_path)
		col.prop_search(context.scene, "game_object", context.scene, "coll", text = "Object")



def register():

	bpy.utils.register_module(__name__)

	bpy.types.Scene.coll = bpy.props.CollectionProperty(
	type=bpy.types.PropertyGroup
	)

	bpy.types.Scene.choose_path = bpy.props.StringProperty(update = object_linker.dir_path_update, name="file path",
	
	attr="custompath",# this a variable that will set or get from the scene
	maxlen= 1024,
	subtype='DIR_PATH',
	default= default_filepath + "/"
	)

	bpy.types.Scene.game_object = bpy.props.StringProperty()

	bpy.app.handlers.scene_update_pre.append(object_linker.populate_coll)
	
	



def unregister():
	bpy.utils.unregister_module(__name__)
	

	del bpy.types.Scene.coll
	
	

if __name__ == "__main__":
	register()

